Subject: Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: dinkonin <[email-masked]>
Date: Sat, 31 Oct 2020 09:32:19 +0200

Thanks for looking into this ,

I am able to reproduce it on a new ArchLinux installation with `emacs -Q
--eval '(setq ispell-program-name "enchant-2")'` both with Emacs 27 from
arch repositories and Emacs 28 built from source.
So I think the problem is in the Arch Linux version of the enchant package,
It's built with support for all backends but they are not Installed by the
package manager because they are marked as optional by the package
maintainer.

I still think this should not break spell checking in the languages
supported by the installed enchant providers.

On Sat, Oct 31, 2020 at 12:56 AM Reuben Thomas <[email-masked]> wrote:

> On Fri, 30 Oct 2020 at 07:38, Eli Zaretskii <[email-masked]> wrote:
>
>>
>> > I've noticed that enchant-lsmod-2 also produces this error in the
>> > terminal, maybe STDERR should be omitted when generating
>> > ispell-enchant-dictionary-alist or shoud this be reported upstream to
>> > enchant ?
>>
>> The latter, I think.  Reuben, can you please comment?
>>
>
> It looks like Enchant has been built with the voikko (Finnish) provider,
> but libvoikko is not installed.
>
> I don't think it's possible to build Enchant's voikko provider without
> libvoikko installed, because the provider needs to link against libvoikko.
> So, this looks like a configuration problem on the user's system. To
> convince me otherwise would require a recipe to reproduce the problem, I
> think!
>
> If there is a bug, it would definitely be in Enchant, and should be
> reported to Enchant's bug tracker (details in the package). Thanks!
>
> --
> https://rrt.sc3d.org
>